== Changelog ==

= 8.9.6 =
* IMPORTANT UPDATE: Fix security issues in plugin core
* Remove exposed API key and improve access control
* Enforce capability checks and harden AJAX/REST endpoints

= 8.9.5 =
* Fixed problem with false localhost detection
* Fixed problems with license activation

= 8.9.4 =
* Changed business model and reduced free lookup from 1000 to 500 views per day.

= 8.9.3 =
* Added PHP support for the older PHP versions (7.0 and bove)

= 8.9.2 =
* Fixed unexpected PHP errors

= 8.9.1 =
* Added Client Hints (UA-CH) support for accurate detection
* Improved UA fallback parsing, safer regex, and bot-first detection
* Cleaner platform mapping
* Backward compatible API
* Fixed GUI and documentation
* Code optimization

= 8.9.0 =
* Complete rewrite of plugin documentation with clearer structure and new usage examples.
* Added Disclaimer / Legal Notice and Accessibility Statement.
* Updated Privacy Policy and Terms & Conditions references.
* Improved explanations for shortcodes, CSS, and Google Maps integration.
* Enhanced CSV import/export instructions for SEO redirection.
* Fixed minor typos and grammar issues across admin settings.
* Small UI text refinements for better user experience.

= 8.8.8 =
* Improved GUI, fixed documentation.

= 8.8.7 =
* Fixed fatal error caused by Elementor update (removed deprecated Typography class)

= 8.8.6 =
* Fixed sidebar statistics in the WP Admin
* Fixed typos in the WP Admin
* Improved conditional logic of plugin
* Improved performances

= 8.8.5 =
* Removed all PHP 5.6 specific syntax to support minimum PHP 7.4
* Prepared and tested plugin compatibility for WordPress version 6.8
* Brought codebase to PSR-12 coding standard
* Refactored features and functionalities for faster execution and better maintainability
* Modularized core logic for better structure and scalability
* Optimized loading time by reducing unnecessary function calls
* Improved type declarations and error handling for critical functions

= 8.8.4 =
* Removed PHP errors in regular versions
* Removed obsolete code
* Fixed cache problems

= 8.8.3 =
* Fixed problem with transients (must delete them after update)
* Improved cache algorithms
* Optimized PHP code

= 8.8.2 =
* License updates

= 8.8.1 =
* Fixed Woocommerce HPOS metabox order info
* Improved IP filtering

= 8.8.0 =
* Fixed an issue with the Elementor builder
* Fixed bugs with SEO module
* Fixed bugs with IP address detection
* Optimized PHP code

= 8.7.11 =
* Improved cache headers

= 8.7.10 =
* Fixed issue with Woocommerce checkout info

= 8.7.9 =
* Fixed issue with Woocommerce HPOS metabox

= 8.7.8 =
* Fixed WooCommerce bugs and improved performances

= 8.7.7 =
* Support for the WordPress version 6.7

= 8.7.6 =
* Fixing Geo Defender algo
* Improved PHP algos and code optimization
* Improved cookie control
* Improved WooCommerce module

= 8.7.5 =
* Adding user permission to the GEO menus

= 8.7.4 =
* Fixing Missing Authorization to Authenticated (Subscriber+) Menu Creation/Deletion
* Imorived WooCommerce geo pricing

= 8.7.3 =
* Fixing slow loading of the plugin

= 8.7.2 =
* Fixed problems with country flags cache
* Optimized shortcode cache

= 8.7.1 =
* Fixed security recommendations
* Advanced security protocols
* Improved performance for content rendering
* Fixed bugs and PHP errors from the previous version

= 8.7.0 =
* Fixed plugin security
* Protected AJAX calls from XXS attacks
* Added better caching
* Improved javascript algorithms

= 8.6.9 =
* Adding curly brackets support for the geo tags
* Adding options to remove top bar menu and currency converter
* Bugfixes from previous version

= 8.6.8 =
* Bug fixes for PHP 8.3
* Added support for WordPress 6.6

= 8.6.7 =
* Fixed WooCommerce Payments control
* Fixed API calls and pointed to the new CDN servers
* Improved cache

= 8.6.6 =
* Moved to new domain wpgeocontroller.com
* Fixed timezone issue
* Fixed licensing

= 8.6.5 =
* IMPORTANT UPDATE
* Enhanced security measures
* Improved input validation and sanitization

= 8.6.4 =
* Fixed settings

= 8.6.3 =
* Fixed metabox bugs
* Fixed data serializations

= 8.6.2 =
* Fixed internal buffer
* Optimized options
* Optimized cache
* Optimized API calls
* Optimized plugin detection
* Removed support for plugins below version 7.x.x

= 8.6.1 =
* Fixed WP_ADMIN_DIR
* Fixed debugger

= 8.6.0 =
* Added new functionalityfor TOR networks
* Blocking visitors from the TOR network
* Added new shortcodes for the TOR network
* Added new JavaScript objects for the TOR network
* Added new CSS classes for the TOR network

= 8.5.4 =
* Added fix for menus and widgets
* Optimized CSS code
* Optimized JS code

= 8.5.3 =
* IMPORTANT UPDATE: Fixed XSS vulnerability suggested by Patchstack

= 8.5.2 =
* Removed obsolate codes

= 8.5.1 =
* Fixed Redis cache problem
* Improved code for PHP8
* FIxed problems with missing data

= 8.5.0 =
* Improved caching
* Support for WP version 6.3.x

= 8.4.11 =
* Fixed plugin info

= 8.4.10 =
* Improved support for Gravity Forms
* Added IP address field
* Improved plugin detection algorithm

= 8.4.9 =
* Fixed CSS property
* Fixed cache purge

= 8.4.8 =
* Fixed cache functionality
* Redis and Memcache support approved
* Added cache debugger
* Added recognition for you.com bot

= 8.4.7 =
* Added passing of GET parameters to new redirection URL

= 8.4.6 =
* Fixed autoload functionality
* Added new compatibility for PHP 8.1
* Improved API algorithm

= 8.4.5 =
* Adding support for Redis Cache
* Adding Cache fix for the dynamic CSS methods
* Adding support for the WebOS TV
* Fixed bugs from the previous version

= 8.4.4 =
* Fixed API errors
* Increased cache time

= 8.4.3 =
* UX design fix
* Updated algorithms for GPS integration
* Added experimental new features for developers

= 8.4.2 =
* Fixed WooCommerce Integration
* Added support for the Gravity Forms plugin
* Fixed PHP bugs and removed depricated code

= 8.4.1 =
* Fixed deprecated code at the forms

= 8.4.0 =
* Optimized code for the PHP version > 8.1
* Optimized code for the new WordPress versions
* Removed deprecated codes
* Fixed PHP errors from previous version

= 8.3.20 =
* Shortcode fixes

= 8.3.19 =
* Fixed bugs inside debugger

= 8.3.18 =
* Optimized plugin cache

= 8.3.17 =
* Added support for the WordPress 6.1
* Fixed metaboxes in repeater
* Optimized PHP code

= 8.3.16 =
* Fixed database cache
* Improved and optimized location search system

= 8.3.15 =
* Adding new info box in the settings
* Adding new support for the GPS extension
* Adding new function `CFGP_U::array_insert_after_key`
* Fixing WooCommerce default country address

= 8.3.14 =
* Fixing EU shortcodes
* Preparing for the APCu caching

= 8.3.13 =
* Fixing admin form formatting

= 8.3.12 =
* Fixing Currency Converter

= 8.3.11 =
* Fixing problem with localhost detection

= 8.3.10 =
* Update trademark names and banners
* Update plugin security

= 8.3.9 =
* Advanced geolocation for WooCommerce
* Removed deprecated algorithms

= 8.3.8 =
* Fixed SEO redirection algorithm
* Improved memory cleaning
* Improved site protection algorithm
* Fixed currency calculator
* Fixed localhost detection
* Removed obsolete PHP codes
* Improved security
* Improved user interface

= 8.3.7 =
* Improved hiding of the navigation menu by geolocation
* Fixed PHP warnings
* Fixed REST API subversion bugs

= 8.3.6 =
* Improved WP Rocket and SiteGround Cache
* Improved REST API code
* Removed unnecessary code
* Fixed localhost problems

= 8.3.5 =
* Fixed WooCommerce widget
* Fixed SEO redirection table

= 8.3.4 =
* **IMPORTANT UPDATE**
* Fixed memory leaking on custom post types

= 8.3.3 =
* Fixed license deactivation
* Removed deprecated code
* Adding support for future PHP version

= 8.3.2 =
* Fixed menu geolocations
* Fixed notifications
* Fixed Contact Form 7 inputs
* Fixed Yoast SEO tags

= 8.3.1 =
* Improved Contact Form 7 integration
* Improved PHP code

= 8.3.0 =
* Switched to new API keys
* Added new utilities, endpoints, actions & filters
* Added redirection modes
* Removed unnecessary functionality
* Optimized PHP code

= 8.2.10 =
* Fixed loading widgets
* Added support for the Kinsta
* Code optimization

= 8.2.9 =
* Fixed browser detection
* Improved operating system detection

= 8.2.8 =
* Improved dashboard
* Improved file includes
* Improved plugin update
* Removed deprecated and bad codes

= 8.2.7 =
* **PLUGIN UPDATE: Mandatory PHP extensions cURL and Multibyte String**
* **WOOCOMMERCE UPDATE: Revisit WooCommerce settings after update**
* Added requirements for the PHP extensions cURL and Multibyte String
* Added WooCommerce geo location info log to orders
* Added WooCommerce sidebar widget for the geo location info log
* Fixed WooCommerce geolocate for orders
* Updated Library

= 8.2.6 =
* Adding browser and operating system recognition
* Adding short codes for the desktop, mobile, browser and platform
* Fixing UI and UX in the admin
* Fixing plugin security
* Improved debbuging

= 8.2.5 =
* **GREAT UPDATE - BACKUP IS REQUIRED**
* Added new internal database cache
* Fixed cache bugs
* Added support for WordPress version 6.0

= 8.2.4 =
* Fixed WP WP_ADMIN_DIR constant

= 8.2.3 =
* Improved plugin integrations
* Removed deprecated notices

= 8.2.2 =
* Fixed database error log

= 8.2.1 =
* Update database tables
* Upgrade transliteration
* Fixing problem with missing SEO redirection table in some servers

= 8.2.0 =
* Advanced IP address recognition algorithms
* Improved legacy code support
* Improved Settings

= 8.1.11 =
* Improved integration with WooCommerce
* WooCommerce takes control of the base currency
* Improved code quality

= 8.1.10 =
* Fixed memory leak
* Fixed the problem with the geo banner on the cached site
* Corrected UX

= 8.1.9 =
* Added navigation control by geo location
* Fixed bugs with SEO redirection
* Fixed bugs in license authentication
* SEO redirection has been moved to a separate menu item
* Fixed bugs with settings around base currency
* Improved WooCommerce integration

= 8.1.8 =
* Improved IP address detection
* Improved algorithm for local servers
* Improved web bot detection
* Fixed postcode search
* Improved postcode detection
* Added WooCommerce algorithm for advanced geolocation
* Fixed WooCommerce detection for payment methods
* Improved PHP code and bug fixes

= 8.1.7 =
* Fixed algorithm for SEO redirection
* Improved filesystem
* Improved local server verification

= 8.1.6 =
* **GREAT UPDATE - BACKUP IS REQUIRED**
* New optimized libraries
* Improved forms
* Improved search for cities, regions and countries
* Improved admin pages
* Fixed SEO redirection for cached pages
* Removed unnecessary code
* Optimized JavaScript code
* Optimized PHP code

= 8.1.5 =
* Fixing CF Geo Banner duplication problem
* Fixing localhost problems

= 8.1.4 =
* Preparing code for advanced libraries that come with the following versions.
* Fixed existing PHP errors
* Improved PHP algorithm
* Improved widgets
* Improved shortcode

= 8.1.3 =
* Improved object caching and added garbage collector
* Fixed issues with missing Wordpress features

= 8.1.2 =
* Fixing location search
* Fixing SEO redirections for the certain countries
* Fixing Geo banner for the certain countries

= 8.1.1 =
* Adding transitional code for the geo banner
* Adding calling_code and country_code_3
* Added new country flags
* Added postcode library for the Serbia
* Improved Woocommerce integration for the PayPal extensions
* Fixed Geo banner cache
* Fixed shortcode cache
* Fixed license activation
* Switched Geo banner from get_posts to direct MySQL query

= 8.1.0 =
* Added improved integration for the GPS module
* Aded new action and filters
* Fixed REST API security
* Fixed JavaScript security
* Fixed Shortcode cache
* Improved Utilities
* Improved public scripts
* Improved cache flush

= 8.0.10 =
* Fixed license activation problems

= 8.0.9 =
* Added support for the new Windows servers
* Fixed IP detection on the Windows IIS
* Fixed CSV media uploads
* Improved JavaScript

= 8.0.8 =
* Fixed plugin notifications
* Improved API calls
* Improved user experience
* Improved action hooks

= 8.0.7 =
* **IMPORTANT UPDATE**
* Fixed Elementor integration
* Fixed REST API integration
* Fixed cache algorithms
* Optimized JavaScript code
* Optimized CSS code
* Improved page impact
* Improved shortodes

= 8.0.6 =
* Fixed PROXY detection
* Improved UX for mobile devices
* Improved menus navigation control
* JavaScript bugs fixed

= 8.0.5 =
* Added today's course at the topbar
* Improved SEO redirection settings table
* Improved file includes
* Fixed plugin page URL's
* Fixed plugin widgets
* Improved global UI and UX
* Fixed previous bugs

= 8.0.4 =
* **IMPORTANT UPDATE**
* Added support for the custom URL menu item
* Fixed SEO Redirection CSV upload
* Fixed Geo Banner display problems
* Fixed Geo Banner caching problems
* Fixed absolute path of the PHP files
* Added support for the IIS servers
* Added support for the direct debug
* Improved REST API response
* Fixed JavaScript console error

= 8.0.3 =
* Fixed REST API route definition for the public users

= 8.0.2 =
* Improved JavaScript code
* Fixed menu items integration and adapted to taxonomy
* Improved widgets

= 8.0.1 =
* Added Menu item visibility based on the geo location
* Fixed form error when getting old data
* Improved security

= 8.0.0 =
* **GREAT UPDATE - BACKUP IS REQUIRED**
* New optimized user experience based on the WordPress standard design with easy access to all information and settings
* Added PROXY visit detection and the ability to block access
* Advanced IP address recognition, enhanced support for Apache and Nginx servers
* Included local libraries for Continents, Countries, Regions and Cities with autocomplete functionality
* Maximally optimized PHP code with advanced caching algorithms with correct action hooks that allow advanced manipulation for developers
* Fixed caching via REST
* Improved SEO redirection with the possibility of import and export in the CSV format
* Improved shortcodes
* Licensing issues fixed
* Fixed issues with SEO redirection
* Fixed lookup leak issues
* Fixed problems with banner and shortcode caching
* Fixed issues with Siteground integration

= 7.13.9 =
* Fixed bugs for the spamming notifications
* Improved geolocation API

= 7.13.8 =
* Improved API services

= 7.13.7 =
* Switched to new and faster API service

= 7.13.6 =
* Fixed problem with PHP notice
* Fixed localhost detection

= 7.13.5 =
* Improved security
* Fixed bugs in SEO redirection
* Fixed WP nonce bugs
* Added support for WordPress version 5.7
* Plugin and installation preparation for future version 8.0.0

= 7.13.4 =
* Increased free lookup from 300 to 1000 lookop per day

= 7.13.3 =
* Fixed bug for unlimited license
* Support WordPress version 5.6

= 7.13.2 =
* Fixed issue with losing active license
* Fixed issue with `session_write_close()`
* Fixed issue with SEO redirects

= 7.13.1 =
* Fixed SEO redirection errors

= 7.13.0 =
* **BIG CHANGES ON THE GEO BANNER - BACKUP IS RECOMMENDED BEFORE UPDATE**
* Added geo banner default content
* Added postcode for SEO redirection and geo banner
* Improved shortcode for geo banner
* Added new field in XML for SEO redirection (old needs update)
* Improved SEO redirection
* Improved metaboxes
* Improved mail notification filters

= 7.12.14 =
* IMPORTANT UPDATE: Added Elementor editor inside Geo Banner
* IMPORTANT UPDATE: Fixed issue with get_queried_object_id()
* Enhancement: Elementor widgets

= 7.12.13 =
* Updated code for the PHP7.4 support
* Fixed problems with AJAX during SEO redirection
* Improved COVID-19 API

= 7.12.12 =
* URGENT  FIX: WordPress crash problem

= 7.12.11 =
* IMPORTANT UPDATE: PHP7.4 and above support

= 7.12.10 =
* IMPORTANT UPDATE: Fixed problems with update settings
* IMPORTANT UPDATE: Fixed problems with SEO redirection
* IMPORTANT UPDATE: JavaScript support for the WordPress 5.5

= 7.12.9 =
* Enhancement: added new SEO redirection action filters

= 7.12.8 =
* IMPORTANT UPDATE: Fixed WooCommerce base conversion
* Enhancement: Improved WooCommerce Payment Options
* Enhancement: Fixed global options

= 7.12.7 =
* IMPORTANT UPDATE: Added settings for email notification
* IMPORTANT UPDATE: Improved SEO redirection for cached pages
* Enhancement: PHP code

= 7.12.6 =
* URGENT FIX: Allowed memory size PHP error on the low cost hostings

= 7.12.5 =
* IMPORTANT UPDATE: Fixed Yoast SEO tags rendering
* IMPORTANT UPDATE: Fixed SEO redirection
* IMPORTANT UPDATE: Fixed page ID finder
* IMPORTANT UPDATE: Fixed cache plugin supports
* Enhancement: Woocommerce hooks
* Enhancement: E-mail template link visibility
* Enhancement: SEO utilities

= 7.12.4 =
* URGENT FIX: Fixed issue with spamming notification
* IMPORTANT UPDATE: Added support for GPS extension to detect the exact address of the visitor
* IMPORTANT UPDATE: Privacy Policy
* IMPORTANT UPDATE: Support for WordPress version 5.5

= 7.12.3 =
* URGENT FIX: Page speed impact
* URGENT FIX: Missing shortcodes on the MySQL Session
* IMPORTANT UPDATE: API validation
* IMPORTANT UPDATE: Fixed COVID 19 transient problems  
* Enhancement: Session functionality
* Enhancement: CSS and JavaScript functionality
* New: CSS and JavaScript settings
* New: Added new action hooks
* New: Clear session functionality

= 7.12.2 =
* Enhancement: Site protection
* Enhancement: Updated UX and UI inside dashboard
* Enhancement: Added new filters inside code

= 7.12.1 =
* IMPORTANT UPDATE: Fixed problem with license email expiration

= 7.12.0 =
* IMPORTANT UPDATE: Improved API communication
* IMPORTANT UPDATE: Improved license verification and renewal.
* IMPORTANT UPDATE: Added push notifications for license expiration and lookup.
* IMPORTANT UPDATE: COVID-19 Fixed PHP error "divided by zero"
* Enhancement: Finding IDs for SEO redirection pages
* Enhancement: Fixed a bug with the currency conversion shortcode

= 7.11.7 =
* IMPORTANT UPDATE: Fixed COVID-19 memory leaking
* IMPORTANT UPDATE: Fixed COVID-19 data calculation
* Enhancement: PHP7.4 transition code
* Enhancement: API call speed
* NEW FEATURE: COVID-19 API recovery and mortality rate calculation

= 7.11.6 =
* IMPORTANT UPDATE: COVID-19 API update
* IMPORTANT UPDATE: Filtered IP server from client IP
* Enhancement: Currency library

= 7.11.5 =
* IMPORTANT UPDATE: CSS cache
* Enhancement: JavaScript AJAX calls
* Enhancement: PHP settings
* Enhancement: COVID-19 setup

= 7.11.4 =
* IMPORTANT UPDATE: Fixed wp-admin linking
* Enhancement: License activation and deactivation

= 7.11.3 =
* IMPORTANT UPDATE: Fixed multisite AJAX error
* IMPORTANT UPDATE: Fixed multisite redirection
* IMPORTANT UPDATE: Fixed multisite admin navigation
* IMPORTANT UPDATE: Fixed multisite includes
* IMPORTANT UPDATE: Fixed PHP error for the missing API object
* Enhancement: X-Forwarded-For IP lookup
* Enhancement: IP lookup via SHELL scripts for Win10 & UNIX (if are allowed)
* Enhancement: Saving options
* Enhancement: Plugin activation
* Optimized PHP code

= 7.11.2 =
* Improved "localhost" detection
* Improved IP detection
* Improved server detection
* Fixed multisite menu problems

= 7.11.1 =
* Added "Sellect All" to the geo selection

= 7.11.0 =
* Centralized API calls
* Fixed currency converter nonce error
* Fixed API informations
* Fixed WooCommerce price calculation
* Fixed WP Admin URL's on the multisite
* Improved PHP code

= 7.10.6 =
* Optimized jQuery code
* Added AJAX cache control for the CSS property

= 7.10.5 =
* Fixed bug with CSS `cfgeo-show-in-{property}`
* Added new search engine bots in the whitelist 
* Improved security
* Fixed PHP bugs

= 7.10.4 =
* Added CSS rules for the showing or hiding content by geolocation
* Added Elementor widget for the EU
* Added Elementor widget for the VAT
* Fixed currency converter widget
* Improved defender functionality
* Improved bots tracking
* COVID 19 API moved from BETA to plugin features

= 7.10.3 =
* Fixed currency converter
* Fixed base currency session problems
* Fixed currency symbol
* Fixed missing data
* Added currency name library
* Improved currency converter response
* New shortcodes: [cfgeo_currency_name] and [cfgeo_base_currency_name]

= 7.10.2 =
* Improved SEO functionality
* Improved caching functionality
* Improved data loading
* Fixed data overwrite
* Introduced new shortcode [is_not_proxy]
* Added new OS detection
* Fixed bugs from the previous versions

= 7.10.1 =
* Fixed glitch in a previous version of COVID-19 API.

= 7.10.0 =
* Switched to the improved API service
* Removed unuseful shortcodes from the API
* Improved session on the COVID-19 API
* Fixed calculation bugs inside COVID-19 API
* Fixed Contact Form 7 bug
* Fixed Settings forms
* Improved UX
* Improved debuging tool
* Improved DNS lookup
* Added MySLQ caching
* Added ISP lookup
* Added ZIP code lookup
* Added [is_proxy] shortcode for proxy check
* Optimized API request

= 7.9.11 =
* Added support for the WooCommerce 4.0.0 or higher
* Fixed WooCommerce currency converter

= 7.9.10 =
* Fixed COVID-19 shortcode include

= 7.9.9 =
* New COVID-19 (Coronavirus) shortcodes
* Fixed bugs from the previus version

= 7.9.8 =
* IMPORTANT UPDATE: Fixed infinity loop into SEO redirection for the target pages
* Added documentation to plugin pages

= 7.9.7 =
* Added HTTP referer control for the SEO redirection
* Fixed activation form
* Fixed SEO redirection error on the missing page_id
* Fixed missing objects in the API
* Fixed wp-admin widget
* Improved settings options
* Added new filters: cf_geoplugin_default_options, cf_geoplugin_access_level, cf_geoplugin_get_option, cf_geoplugin_get_option_updated, cf_geoplugin_access_level

= 7.9.6 =
* Urgent fix: Contact Form 7 CF_Geoplugin_Contact_Form_7::add_shortcode() conflict

= 7.9.5 =
* Added new Contact Form 7 tags based on geolocation
* Added new Settings for the Contact Form 7 & Wooplatnica
* Added new filters: cf_geoplugin_get_option, cf_geoplugin_get_the_option, cf_geoplugin_update_option & cf_geoplugin_get_option_updated
* Added new object CF_Geoplugin_Global::get_the_option()
* Fixed typos in the plugin
* Fixed supported plugins includes

= 7.9.4 =
* Insert WP_ADMIN_DIR absolute path protocol
* Fixed plugin version check
* Fixed absolute path for the wp-admin included files
* Fixed CFGP_MULTISITE constant

= 7.9.3 =
* Improved code and added support for the WordPress 5.4
* Improved CF Geo Banner post type
* Improved CF Geo Banner taxonomy
* Improved Settings options
* Improved PHP functions
* Improved debugging
* Improved update options for the multisite
* Optimized PHP code
* Optimized REST API
* Removed bugs in the previous version
* Fixed translations

= 7.9.2 =
* Added manual bypass for the SEO redirection
* Added subversion control for the older PHP and WordPress versions
* Added logging control in the settings
* Fixed PHP bugs from the previous version

= 7.9.1 =
* Fixed SEO redirection because of CORS (Cross-Origin Resource Sharing) protection
* Fixed error logging

= 7.9.0 =
* Added new shortcode for the GPS
* Added new Shortcode for the standard VAT rate value
* Added support for the PHP 7.4
* Fixed multisite problem with update options
* Fixed VAT rate API calls
* Fixed errors when site reach maximum lookup
* Fixed errors if currency is not available
* Fixed bad translations
* Removed unuseful shortcodes
* Removed deprecated functions
* Removed deprecated shortcodes

= 7.8.11 =
* Included include/exclude property into VAT shortcodes
* Included include/exclude property into EU shortcodes

= 7.8.10 =
* Fixed PHP notice in the shortcodes
* Included post type check
* Prepared code for the new future versions

= 7.8.9 =
* Added new shortcodes for the VAT and EU control
* Fixed API bugs
* Fixed translations

= 7.8.8 =
* WordPress Geo Plugin: Fixed SQL error on the SEO redirection

= 7.8.7 =
* WordPress Geo Plugin: Fixed Woocommerce PHP error compatibility
* WooCommerce: Fixed missing SKU and ID in the price control

= 7.8.6 =
* WordPress Geo Plugin: WordPress 5.3 support 
* WooCommerce: Prepared cache support for the cache plugins

= 7.8.5 =
* CF Geo Plugin: Fixed metabox problems with the Geo Banner
* CF Geo Plugin: Processed Geo Banner via AJAX for the cached websites
* CF Geo Plugin: Improved speed impact on the XHR calls
* W3 Total Cache: Adapted W3 Total Cache fragment cache to Geo Banner
* Fixed JavaScript error for the Chrome

= 7.8.4 =
* CF Geo Plugin: Fixing PHP error while saving data
* CF Geo Plugin: Improved page speed impact
* CF Geo Plugin: Improved HTTP calls
* CF Geo Plugin: Improved session control
* CF Geo Plugin: Added missing tags
* W3 Total Cache : New improvemants inside page caching
* W3 Total Cache : New improvemants in fragment caching (BETA)
* Woocommerce: Changed converted price format
* Woocommerce: Fixed bad calculations
* Woocommerce: Fixed rounded prices
* Woocommerce: Option for the removal conversion price in admin panel to show only original prices in the reports
* Woocommerce: Improved page impact during calculation
* Woocommerce: Moved converted price HTML format to open CSS formatting

= 7.8.3 =
* Added filters to WooCommerce prices
* Added currency converter price adjust
* Added currency converter round price options
* Improving W3 total cache support
* Fixing bugs into WooCommerce support
* Fixing variable product conversion in the WooCommerce

= 7.8.2 =
* Added automated W3 total cache MFUNC support

= 7.8.1 =
* Fixing MySQL error in the empty SEO redirection
* Improved connection speed
* Improved PHP code
* Reduced HTTP requests
* Cleaned old PHP code

= 7.8.0 =
* Adding new special Geo Tags for the geo insertation
* Adding support for the Yoast SEO
* Adding support for the All in one SEO pack
* Adding support for the Wordpress SEO plugin
* Adding support for the SEO framework
* Adding support for the widgets
* Adding support for the Gutemberg
* Adding support for the taxonomies
* Improved session
* Fixed bugs from previous version

= 7.7.9 =
* Fixed PHP error inside shortcodes
* Improved AJAX calls

= 7.7.8 =
* Fixed cache problems on the content pages
* Added AJAX calls for the cached pages

= 7.7.7 =
* IMPORTANT UPDATE: Fixed global SEO redirection bug
* Improved page impact on the SEO redirection

= 7.7.6 =
* Added bot and search engine support for the SEO redirection
* Fixed RSS reads
* Fixed link path

= 7.7.5 =
* Added include/exclude attributes to `cfgeo_flag` shortcode for the display/hide flag
* Fixed ID's on the missing attributes
* Fixed PHP 7.3 error

= 7.7.4 =
* Fixed unexpected update and activation error

= 7.7.3 =
* Fixed XML error on previous version
* Updated settings

= 7.7.2 =
* Fixed Wooplatnica integration
* Fixed Geo Tag generator
* Improved and changed privacy policy
* Optimized PHP code

= 7.7.1 =
* Fixed SEO redirection bug
* Fixed plugin order includes
* Fixed wp-admin redirections
* Fixed settings bug
* Fixed typo in the descriptions
* Improved plugin cache

= 7.7.0 =
* Fixed database error on the plugin activation

= 7.6.9 =
* Added "only once" redirection to globl SEO redirection
* Fixed CSV file upload and reading
* Added Microsoft Excell CSV support
* Fixed bugs
* Improved code orientation

= 7.6.8 =
* Fixed PHP error during activation
* Fixed debugging

= 7.6.7 =
* Added Monarch plugin support
* Fixed plugin support includings
* Optimized code
* Improved session

= 7.6.6 =
* Added new plugin filters in teh API
* Added VAT check
* Added EU check
* Added GPS check
* Removed old filters
* Fixed small bugs

= 7.6.5 =
* Added new plugin filters
* Fixed debugging
* Added support for the featured GPS addon 

= 7.6.4 =
* Fixed HTTP codes in the SEO redirection
* Improved PHP and WordPress version comparing
* Improved lower WP version support
* Code optimization
* Improved SSL check
* Improved CDN call
* Improved page speed impact
* Reduced memory usage
* Improved HTTP response code for the SEO

= 7.6.3 = 
* Fixed bug in SEO redirection
* Improved IP filter

= 7.6.2 = 
* Added new HTTP codes into SEO redirection

= 7.6.1 = 
* Added "Redirect Only Once" in page SEO redirection
* Improved page ID finder
* Optimized code

= 7.6.0 = 
* Added attribute "cache" in the shortcodes to fix cache errors in HTML indexing
* Added new JavaScript cahce API
* Optimized JavaScript code
* Optimized PHP code and fixed minior bugs
* Fixed SEO redirection bug
* Removed old codes

= 7.5.16 = 
* Removed support for PHP4.0- in order to prevent errors on PHP7.2+

= 7.5.15 =
* Adding support for the Classic Editor plugin
* Fixing undefinned index in geo banner

= 7.5.14 =
* Combined include/exclude attributes to return cfgeo shortcodes
* Added shortcode support inside cfgeo shortcodes
* Added "base_currency_symbol" to API and shortcodes

= 7.5.13 =
* Fixed currency shortcode loading time
* Fixed currency shortcode PHP error
* Updated currency library
* Added base currency shortcode

= 7.5.12 =
* Added WordPress 5.1 support
* New PHP function clear_cf_geoplugin_session() for the developers
* Improved session functionality
* Fixed bug in the settings options

= 7.5.11 =
* Improved debugger
* Fixed redirection infinity loop

= 7.5.10 =
* PRIVACY POLICY UPDATE

= 7.5.9 =
* Fixed a flaw in the plugin integration
* Changed calls for the Wooplatnica Plugin
* Prepared background for future CF Geo Plugin version 5.6.0

= 7.5.8 =
* Fixed Woocommerce integrations
* Added Wooplatnica plugin support

= 7.5.7 =
* IMPORTANT UPDATE: Fixed WordPress database error Table
* IMPORTANT UPDATE: Fixed widget displaying
* Optimized PHP code

= 7.5.6 =
* Fixed PHP error: Class CF_Geoplugin does not exist
* Fixed file including
* Session initialization moved to enthire WordPress
* Fixed cache time
* Extended debugger
* Added new translations

= 7.5.5 =
* IMPORTANT UPDATE: Fixed lookup problem for the WordPress version 5.x
* Fixed WordPress HTTP API calls
* Improved site loading
* Changed file orientation
* Fixed PHP errors

= 7.5.4 =
* IMPORTANT UPDATE: Fixed session problem

= 7.5.3 =
* Fixed problems with validation of the "www" subdomain
* Fixed data formatting
* Improved debugger
* Improved session and prevented conflicts

= 7.5.2 =
* Fixed HTTP API SSL bug
* Fixed validation error
* Secure APi response

= 7.5.1 =
* Fixed include/exclude issue
* Optimized code

= 7.5.0 =
* Moved from cURL to official WordPress HTTP API
* Added Geo Tag generator
* Fixed Google Map collision
* Fixed bugs inside Gutenberg editor
* Improved security
* Improved documentation and informations

= 7.4.3 =
* Improved instance calling
* Improved currency converter widget
* Optimized Google Map Shortcode
* Added Google Map Widget
* Added WooCommerce Country Payment Control
* Added currency converter into shorcode

= 7.4.2 =
* Fixed cURL error "Operation timed out"
* Fixed autocomplete on the settings page
* Improved REST API
* Added better UX on the settings page
* Added namual cURL timeout settings

= 7.4.1 =
* Fixed PHP Fatal error in widget area
* Fixed Google Map API ver 2 notice

= 7.4.0 =
* Removed CF Geo Defender and introduced Anti Spam Protection
* Added SPAM filter and advanced wordpress protection via new API
* Added advanced plugin auto update functionality
* Added Google Map check for previous loaded maps (safe trigger)
* Fixed SEO redirection undefined arguments
* Fixed plugin debug
* Fixed Google Map API serror
* Improved documentation
* CSV in SEO Redirection is moved from BETA to standard plugin features
* REST API is moved from BETA to standard plugin features

= 7.3.4 =
* Fixed "Error downloading" in the flag shortcode
* Fixed multisite recognation bug
* Fixed missing arguments into notifications
* Fixed missing REST ID
* Added advanced dashboard widget
* Added dashboard widget switching option
* Optimized PHP code

= 7.3.3 =
* Fixed country flag attribute issue
* Fixed dashboard CSS
* Fixed PHP error into SEO redirection
* Added PHP_VERSION_ID support
* Added WP Admin Dashboard widget

= 7.3.2 =
* Fixed multi SEO redirection field indexing

= 7.3.1 =
* Fixed visual issue
* Fixed SEO redirection data display

= 7.3.0 =
* Allows you to configure multiple redirection rules
* Fixed bugs from previous version

= 7.2.3 =
* Fixed PHP Notices from previous version
* Fixed GUI and notifications inside Settings page
* Fixed Defender issue on empty fields
* Improved initial options

= 7.2.2 =
* Fixed PHP Notice: Undefined index

= 7.2.1 =
* Added urgent defender fix

= 7.2.0 =
* Added support for the WordPress version 5.0 and above
* Added support for the Gutenberg editor
* Fixed API bugs
* Added new IP rules for precize localization
* Added new debugger and error log for the plugin
* Added full microsite support
* Fixed cache issue from previous version
* Fixed REST API bug from previous version
* Improved load speed

= 7.1.4 =
* Added cache support for the caching plugins
* Added descriptions in the settings
* Fixed license bugs
* Fixed Live News double calls
* Removed unnecessary options
* Better code optimization

= 7.1.3 =
* Added filter for the X_FORWARDED_FOR
* Fixed previous bugs
* Fixed Woocommerce bug

= 7.1.2 =
* Added support for multisite installation
* Fixed License Key validation problems
* Fixed bug with debugger
* Fixed uninstall bug

= 7.1.1 =
* Fixed popper.js
* Added woocommerce validation description
* Fixed problem with CF admin menu
* Fixed issue with total cart price conversion
* Validation and unistall upgrades

= 7.1.0 =
* Woocommerce integration
* Woocommerce currency converter
* Integrated REST API for the external apps and integrations
* Fixed bugs from the prevous version

= 7.0.4 =
* Fixed Geo Banner shortcode bug

= 7.0.3 =
* Fixed API communication

= 7.0.2 =
* Fixed activation bug
* Added translation functionality

= 7.0.1 =
* Fixed Upgrade

= 7.0.0 =

* New Functionality like multiple SEO redirection, auto update, new shortcode functionality...
* New GUI - better aproach to all options including easy shortcode access
* New Shortcodes - simple shortcodes (BETA: you can choose to not use it), new attributes
* New SEO redirection - now you can setup redirection by region and city as well
* New optimized PHP code
* New locale lookup
* Optimized code
* Better debbuging
* Optimized lookup
* Ability to complete turn off all functionality that you not need
* Maximum secure data
* Fixed bugs from the previous versions
* CSV upload for the SEO redirection
* CSV backup for the SEO redirection
* Localization integration

= 6.0.8 =

* Fixed conflict with "www" subdomains

= 6.0.7 =

* Fixed host detection
* Fixed API key validation

= 6.0.6 =

* Added better session control

= 6.0.5 =

* Fixed Basic license authentication

= 6.0.4 =

* New improved navigation

= 6.0.3 =

* Fixed typo into explanations
* Created RSS feeds into plugin pages
* Fixed UI bugs

= 6.0.2 =

* Fixed admin navigation
* Fixed license bug

= 6.0.1 =

* Fixed bug in PRO version

= 6.0.0 =

* New API service
* New Databases
* Improved Lookup
* Improved Speed
* Improved Security

= 5.6.5 =

* Fixed PHP errors


= 5.6.4 =

* Improved PROXY settings

= 5.6.3 =

* Fixed PHP Instances
* Implemented GDPR rules


= 5.6.2 =

* Speed improvemants
* Fixed country and region informations
* Updated database

= 5.6.1 =

* Fixed OS detection

= 5.6.0 =

* Added advanced SSL algorythm
* Added PHP constants for older versions
* Added OS debugger
* Fixed session problem
* Fixed variable type problems

= 5.5.0 =

* Added HTTPS calls by default
* Fixed region_slug error
* Fixed headers already sent

= 5.4.2 =

* Fixed bug inside recursive array search

= 5.4.1 =

* Security update

= 5.4.0 =

* Added region code

= 5.3.4 =

* Fixed problem with merging data


= 5.3.3 =

* Added new CDN API service
* Update for PHP7

= 5.3.2 =

* Added support for all custom post types

= 5.3.1 =

* Fixed bug in include/exclude functionality

= 5.3.0 =

* Updated new database
* Fixed geotargeting bugs
* Added `$CF_Geo` global for PHP access

= 5.2.1 =

* Fixed bug in SEO redirection
* Fixed bug in JavaScript file

= 5.2.0 =

* Added JavaScript snipped object `cf.geoplugin` and `window.cfgeo`
* Fixed bug in CF GeoBanner
* Fixed plugin data display speed

= 5.1.3 =

* Fixed bug in API session

= 5.1.2 =

* IPv become premium option
* Cloudflare update
* Fixed redirection

= 5.1.1 =

* Fixed bug in autosearch
* Added support for PHP7.x session start
* Fixed Geo banner publicity

= 5.1.0 =

* Updated JavaScript autosave
* Updated Recursive Array Search
* Added multi values to include/exclude functions
* Added multi values to CF GeoBanner functions

= 5.0.2 =

* Fixed include/exclude bug in PRO version

= 5.0.1 =

* Fixed Bad Initialization link

= 5.0.0 =

* New Country Flag Support
* New Country SEO Redirection
* Fixed PHP issues in debug mode
* Fixed PHP issues in geo plugin
* Updated new documentations
* Updated new functionality
* Changed Usage, Therms and Conditions
* DNS Lookup is now PRO feature
* Cloud Flare is now PRO feature
* CF Geo Banner is now PRO feature
* SSL is now PRO feature
* Proxy is now PRO feature
* Country Flags is PRO feature

= 4.2.0 =

* New Include/Exclude functionality
* New Cloudflare functionality
* New PHP developers function for getting geodata
* New advanced DNS lookup
* Added AJAX Option Saving

= 4.1.5 =

* Fix bugs inside decodings 

= 4.1.4 =

* Fixed data insetration
* Fixed IP session

= 4.1.3 =

* Fixed issue with CF GeoBanner

= 4.1.2 =

* Added new support for older version of WordPress
* Changed some file hierarchy
* Fixed uninstall issues

= 4.1.1 =

* Added TinyMCE support
* Fixed runtime display

= 4.1.0 =

* Added new language support
* Added no-conflict functionality
* Fixed DNS Lookup
* Added new translations

= 4.0.3 =

* Switch on new CDN server

= 4.0.2 =

* Fixed issue with WordPress versions below 4.4.0

= 4.0.1 =

* Added new CDN service
* Fixed premium plugin issue
* Fixed Google Map issue

= 4.0.0 =

* Removed all old services
* Installed new CF GeoPlugin API service
* Added compact dashboard
* Added Geo Banner
* Added error reporting
* Added helpers and explanations
* Added language support for translations
* Added algorithm for [Lazy Loading](https://en.wikipedia.org/wiki/Lazy_loading)
* Added DNS checker